%define upstream_name	 POE-Component-Client-DNS
%define upstream_version 1.054

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    POE::Component::Client::DNS - non-blocking, concurrent DNS requests
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::DNS) >= 0.650.0
BuildRequires: perl(POE) >= 1.294.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings) >= 1.20.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Client::DNS provides a facility for non-blocking, concurrent
DNS requests. Using POE, it allows other tasks to run while waiting for name
servers to respond.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/*
%_mandir/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.54.0-4.mga8
+ Revision: 1496840
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.54.0-3.mga7
+ Revision: 1270852
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.54.0-1.mga6
+ Revision: 903247
- new release

* Sun Oct 19 2014 umeabot <umeabot> 1.53.0-6.mga5
+ Revision: 788475
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.53.0-5.mga5
+ Revision: 745331
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.53.0-4.mga5
+ Revision: 733306
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.53.0-3.mga5
+ Revision: 685810
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.53.0-2.mga4
+ Revision: 527177
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.53.0-1.mga4
+ Revision: 439675
- update to 1.053

* Sun Jan 13 2013 umeabot <umeabot> 1.51.0-2.mga3
+ Revision: 371216
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.51.0-1.mga1
+ Revision: 34071
- mageia rebuild
- imported package perl-POE-Component-Client-DNS


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.51.0-1mdv2010.1
+ Revision: 461344
- update to 1.051

* Sun Aug 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 422583
- adding missing buildrequires:
- update to 1.050

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 408774
- update to 1.04

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 407990
- rebuild using %%perl_convert_version

* Thu Feb 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.1
+ Revision: 342825
- update to new version 1.03

* Fri Jan 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.1
+ Revision: 330193
- update to new version 1.02

* Mon Nov 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.1
+ Revision: 299403
- update to new version 1.01

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.00-5mdv2009.0
+ Revision: 258269
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.00-4mdv2009.0
+ Revision: 246323
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.00-2mdv2008.1
+ Revision: 151412
- rebuild for perl-5.10.0

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-1mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdv2007.0
+ Revision: 106113
- 1.00

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.99-1mdv2007.0
+ Revision: 54022
- 0.99
- Import perl-POE-Component-Client-DNS

* Tue Dec 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9803-1mdk
- 0.9803

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9802-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9802-2mdk
- Buildrequires fix

* Thu Sep 08 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9802-1mdk
- First mandriva package

